clear all
set more off
set matsize 800

//Pull in Asset Manager Mapping
import excel using ".../AST Asset Manager Mapping.xlsx", clear firstrow
save "$path_temp/mgrno_wrds.dta" ,replace

//Merging Asset Manager Identifier
use "$path_temp/Thomson data relevant cusips fixed", clear
merge m:1 mgrno using $path_temp/mgrno_wrds.dta
drop if _merge==2

//Assign Weights to Investor_Type 
gen owner_type = .
replace owner_type = 1 if investor_type == "Asset Manager" 
replace owner_type = 0 if owner_type == .  

collapse (mean) owner_type, by(mgrno date) 
recode owner_type (1 = 0.01) (else = 1 ), generate(fin_inc_multiplier)
collapse (mean) fin_inc_multiplier, by(mgrno date) 

save "$path_temp/fin_inc_multiplier.dta" ,replace

